.acariaempire.sheet.interaction .main-row {
    justify-content: center;
    margin-bottom: 20px;
}

/*---------------------------------
  Side panels
 ----------------------------------*/

 .acariaempire.sheet.interaction .side-panel {
    overflow-y: auto;
    min-height: 100%;
    flex: unset;
    align-items: center;
    opacity: 0.4;
}

.acariaempire.sheet.interaction .side-panel.first-choice {
    margin-right: 5px;
}

.acariaempire.sheet.interaction .side-panel.second-choice {
    margin-left: 5px;
}
.acariaempire.sheet.interaction .side-panel.active {
    opacity: 1;
}

.acariaempire.sheet.interaction .side-panel .character-img {
    border: none;
    flex: unset;
    width: 80px;
    height: 80px;
    margin: 5px;
}

.acariaempire.sheet.interaction .side-panel.second-choice .character-img {
    transform: scaleX(-1);
}

.acariaempire.sheet.interaction .side-panel .roll-category {
    border: groove;
    line-height: 24px;
    text-align: center;
    max-height: 30px;
    padding: 0px 2px;
    cursor: pointer;
    min-width: 120px;
    max-width: 120px;
}
.acariaempire.sheet.interaction .side-panel .roll-category.subcategory {
    min-width: 110px;
    max-width: 110px;
}
.acariaempire.sheet.interaction .side-panel.first-choice .roll-category.subcategory {
    margin-left: 10px;
}
.acariaempire.sheet.interaction .side-panel.second-choice .roll-category.subcategory {
    margin-right: 10px;
}

.acariaempire.sheet.interaction .side-panel .roll-category:hover {
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.interaction .side-panel .roll-category.selected {
    border: groove darkblue;
}

/*---------------------------------
  Headers 
 ----------------------------------*/
.acariaempire.sheet.interaction .headers {
    flex: unset;
}
.acariaempire.sheet.interaction .headers h2 {
    text-align: center;
    flex: unset;
}
.acariaempire.sheet.interaction .headers h3 {
    text-align: center;
    font-size: 1.3em;
    flex: unset;
}


/*---------------------------------
  Middle panels
 ----------------------------------*/

 .acariaempire.sheet.interaction .middle-panel {
    flex: unset;
    max-width: 40px;
    margin-bottom: -40px;
    align-items: center;
    justify-content: flex-end;
}

/*---------------------------------
  Config panels
 ----------------------------------*/
.acariaempire.sheet.interaction .config-panel {
    min-height: 100%;
    flex: unset;
    min-width: 500px;
    max-width: 500px;
    opacity: 0.4;
}
.acariaempire.sheet.interaction .config-panel.active {
    opacity: 1;
}


.acariaempire.sheet.interaction .config-panel .fill-space {
    min-height: max-content;
    margin-bottom: 10px;
}

.acariaempire.sheet.interaction .config-panel .subtitle {
    max-height: 30px;
    max-width: 480px;
    border-bottom: 1px solid darkgrey;
    margin: 5px 0px;
    font-size: 1.2em;
}

.acariaempire.sheet.interaction .config-panel .subtitle-tips {
    flex: unset;
    font-style: italic;
    margin-bottom: 2px;
    opacity: 0.8;
}

/*---------------------------------
  Roll panel
 ----------------------------------*/
.acariaempire.sheet.interaction .bottom-row.margin-for-button {
    margin-bottom: 100px;
}

.acariaempire.sheet.interaction .roll-panel {
    align-items: center;
    opacity: 0.4;
}
.acariaempire.sheet.interaction .roll-panel.active {
    opacity: 1;
}

.acariaempire.sheet.interaction .roll-panel .last-inputs {
    margin-top: 5px;
    flex: unset;
    border-style: double;
    border-width: medium;
    justify-content: space-evenly;
    padding: 5px;
    min-width: 500px;
}

.acariaempire.sheet.interaction .roll-panel .last-inputs .subtitle {
    max-height: 30px;
    border-bottom: 1px solid darkgrey;
    margin-bottom: 2px;
    font-size: 1.3em;
    align-self: center;
    padding: 0px 20px;
}

.acariaempire.sheet.interaction .roll-panel .last-inputs .subtitle i {
    padding-left: 5px;
    padding-top: 3px;
}

.acariaempire.sheet.interaction .roll-panel .last-inputs .subtitle i:hover {
    text-shadow: 0 0 4px red;
    cursor: pointer;
}

/*---------------------------------
  Card choice panel && Troubles
 ----------------------------------*/
.acariaempire.sheet.interaction .bottom-side-panel {
    margin: 0px 20px;
    border-style: double;
    margin-bottom: 1px;
    padding: 20px;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.acariaempire.sheet.interaction .card-choice.none {
    opacity: 0.4;
}
.acariaempire.sheet.interaction .card-choice.available {
    opacity: 0.4;
}
.acariaempire.sheet.interaction .card-choice.available:hover {
    opacity: 1;
    cursor: pointer;
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.interaction .card-choice.chosen {
    padding-top: 5px;
    padding-bottom: 5px;
}

.acariaempire.sheet.interaction .card-choice.chosen .roll-bonus {
    border: none;
    max-height: 80px;
}
.acariaempire.sheet.interaction .card-choice.chosen .roll-bonus:hover {
    cursor: pointer;
    box-shadow: 0 0 5px darkblue inset;
}
.acariaempire.sheet.interaction .card-choice.chosen .roll-title {
    text-decoration: underline;
}
.acariaempire.sheet.interaction .card-choice.chosen .roll-tips {
    font-style: italic;
    opacity: 0.5;
}


.acariaempire.sheet.interaction .trouble {
    opacity: 0.4;
}
.acariaempire.sheet.interaction .trouble.active {
    opacity: 1;
}
.acariaempire.sheet.interaction .trouble .trouble-img {
    border: none;
    max-height: 80px;
}
.acariaempire.sheet.interaction .trouble .trouble-img:hover {
    cursor: pointer;
    box-shadow: 0 0 5px darkblue inset;
}

/*---------------------------------
  Timed section
 ----------------------------------*/

 .acariaempire.sheet.interaction .action-section .change-action {
    margin-left: 5px;
    margin-right: 5px;
    font-size : 1.8em;
    color: darkgrey;
    text-align: center;
}

.acariaempire.sheet.interaction .action-section .change-action.selected {
    color: black;
}


/*---------------------------------
  Risk section
 ----------------------------------*/

.acariaempire.sheet.interaction .risk-section .die-icon {
    padding-bottom: 15px;
}

.acariaempire.sheet.interaction .risk-section .die-icon {
    margin-left: 5px;
    margin-right: 5px;
    font-size : 1.8em;
    text-align: center;
    color: green;
}

.acariaempire.sheet.interaction .risk-section .die-icon.change-risk {
    color: darkgrey;
}

.acariaempire.sheet.interaction .risk-section .die-icon.change-risk.selected {
    color: cornflowerblue;
}

.acariaempire.sheet.interaction .risk-section .die-icon.change-risk.undo {
    color: rgb(63, 63, 63);
}


/*---------------------------------
  Result section
 ----------------------------------*/
 .acariaempire.sheet.interaction .result-section {
    flex: unset;
    max-width: 120px;
    margin-top: -20px;
    align-items: center;
}

/*---------------------------------
  Token line
 ----------------------------------*/
 .acariaempire.sheet.interaction .token-part {
    flex: unset;
    border-style: double;
    border-width: medium;
    padding: 5px;
    justify-content: space-evenly;
}

.acariaempire.sheet.interaction .config-panel.first-choice .token-part {
    padding-right: 75px;
    border-bottom-right-radius: 60px;
}
.acariaempire.sheet.interaction .config-panel.second-choice .token-part {
    padding-left: 75px;
    border-bottom-left-radius: 60px;
}
.acariaempire.sheet.interaction .roll-panel .token-part {
    padding: 10px 5px;
    min-width: 500px;
}

.acariaempire.sheet.interaction .token-part .token-value {
    flex: unset;
    margin-left: 10px;
    font-size: 1.5em;
    line-height: 42px;
    min-width: 70px;
    cursor: help;
}

.acariaempire.sheet.interaction .token-part .vs {
    font-size: 1.5em;
    line-height: 42px;
    margin: 0px 5px;    
}

.acariaempire.sheet.interaction .token-part .token-value span {
    flex: unset;
    text-align: center;
}
.acariaempire.sheet.interaction .token-part .token-value img {
    border: none;
    height: 42px;
    max-width: 42px;
    margin-left: 5px;
}





/*---------------------------------
  Big buttons
 ----------------------------------*/

.acariaempire.sheet.interaction .big-button {
    min-height: 120px;
    max-height: 120px;
    min-width: 120px;
    max-width: 120px;
    background-image: url('../resources/interaction/versus_button.webp');
    background-repeat: no-repeat;
    background-size: 120px 120px;
    z-index: 1;
}

.acariaempire.sheet.interaction .big-button.active {
    cursor: pointer;
}

.acariaempire.sheet.interaction .big-button.circle-button {
    background-image: url('../resources/interaction/circle_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.melody-button {
    background-image: url('../resources/interaction/melody_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.spirit-button {
    background-image: url('../resources/interaction/spirit_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.wait-button {
    background-image: url('../resources/interaction/wait_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.versus-button {
    background-image: url('../resources/interaction/versus_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.versus-button.active {
    background-image: url('../resources/interaction/versus_button.webp');
}
.acariaempire.sheet.interaction .big-button.versus-button.active:hover {
    background-image: url('../resources/interaction/versus_button_hover.webp');
}


.acariaempire.sheet.interaction .big-button.roll-button {
    background-image: url('../resources/interaction/roll_button_inactive.webp');
    margin-bottom: -100px;
}

.acariaempire.sheet.interaction .big-button.roll-button.active {
    background-image: url('../resources/interaction/roll_button.webp');
}
.acariaempire.sheet.interaction .big-button.roll-button.active:hover {
    background-image: url('../resources/interaction/roll_button_hover.webp');
}

.acariaempire.sheet.interaction .big-button.answer-button {
    background-image: url('../resources/interaction/answer_button_inactive.webp');
}

.acariaempire.sheet.interaction .big-button.answer-button.active {
    background-image: url('../resources/interaction/answer_button.webp');
}
.acariaempire.sheet.interaction .big-button.answer-button.active:hover {
    background-image: url('../resources/interaction/answer_button_hover.webp');
}







.acariaempire.sheet.interaction .choice-line {
    margin-top: 5px;
    flex: unset;
    align-items: center;
}

.acariaempire.sheet.interaction .choice-line.protagonist {
    text-align: right;
    justify-content: flex-end;
}

.acariaempire.sheet.interaction .choice-line .choice-part {
    line-height: 24px;
}

.acariaempire.sheet.interaction .choice-line .choice-part.tips {
    flex: unset;
    font-style: italic;
    padding: 0px 5px;
    opacity: 0.8;
}

.acariaempire.sheet.interaction .choice-line .choice-part.no-token {
    margin-right: 100px;
}

.acariaempire.sheet.interaction .choice-line .token-value {
    min-width: 42px;
    max-width: 42px;
    margin: 0px 5px;
}

.acariaempire.sheet.interaction .choice-line .token-substitute {
    min-width: 100px;
    max-width: 100px;
}

.acariaempire.sheet.interaction .choice-line .token-value span {
    text-align: center;
}
.acariaempire.sheet.interaction .choice-line .token-value img {
    border: none;
    height: 24px;
    margin-left: 2px;
}

.acariaempire.sheet.interaction .reminder.clickable .token-value img:hover {
    cursor:pointer;
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.interaction .reminder.clickable-tips .tips:hover {
    cursor:pointer;
    box-shadow: 0 0 5px darkblue inset;
}


/*---------------------------------
  => Arcane Result section
 ----------------------------------*/
 .acariaempire.sheet.interaction .arcane-result-section .carac-list {
    align-items: center;
    max-height: 650px;
}

/*--------------------------------------------
  => Spell inputs (inside miracle and arcane)
 ---------------------------------------------*/

.acariaempire.sheet.interaction .spell-line {
    flex: unset;
    align-items: center;
    border: 2px groove;
    padding: 5px;
    margin-top: 5px;
    min-width: 230px;
    max-width: 290px;
}

.acariaempire.sheet.interaction .spell-line.impossible {
    border: 2px groove darkred;
}

.acariaempire.sheet.interaction .spell-line.carac-elem {
    justify-content: space-evenly;
}

.acariaempire.sheet.interaction .spell-line.multi-line {
    justify-content: flex-start;
    min-height: 60px;
}

.acariaempire.sheet.interaction .spell-line .simple-data {
    flex: unset;
    min-width: max-content;
    max-width: fit-content;
    margin-left: 5px;
    margin-right: 5px;    
}

.acariaempire.sheet.interaction .spell-line.multi-line .wa-link {
    margin-top: 1px;
    margin-bottom: 1px;
}

.acariaempire.sheet.interaction .spell-line .selection {
    background: rgba(0, 0, 0, 0.1);
    border: 2px groove #f0f0e0;
    margin: 2px;
    padding: 2px 10px;
    min-width: 150px;
    max-height: 28px;
    text-align: center;
    cursor: pointer;
}

.acariaempire.sheet.interaction .spell-line .selection:hover {
    border: 2px groove darkblue;
}

.acariaempire.sheet.interaction .spell-line .selection.selected {
    border: 2px groove darkblue;
    cursor: initial;
}


/*---------------------------------
  => For circles
 ----------------------------------*/

.acariaempire.sheet.interaction .circle-actions {
    flex: unset;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 10px;
    max-height: fit-content;
    margin-left: -60px;
}

.acariaempire.sheet.interaction .circle-actions .circle-button {
    font-size: 1em;
    max-width: fit-content;
    margin: 0px 5px;
    padding-top: 5px;
}

.acariaempire.sheet.interaction .circle-choice {
    justify-content: center;
    align-items: center;
    max-height: fit-content;
    margin-top: 10px;
}

.acariaempire.sheet.interaction .create-circle {
    background-size: 50px 50px;
    min-width: 50px;
    max-width: 50px;
    min-height: 50px;
    max-height: 50px;
    margin: 5px;
    opacity: 0.7;
    cursor: pointer;
    margin-bottom: 30px;
}

.acariaempire.sheet.interaction .circle-choice .create-circle:hover {
    opacity: 1;
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.sheet.interaction .create-circle .tooltip {
    visibility: hidden;
    position: relative;
    left: -25px;
    top: -60px;
    max-height: fit-content;
    margin-right: -50px;
    padding: 2px;
    background-color: cornsilk;
    border: groove;
    text-align: center;
    z-index: 1;
    width: 130px;
    justify-content: center;
}

.acariaempire.sheet.interaction .create-circle:hover .tooltip {
    visibility: visible;
    max-width: fit-content;
}



.acariaempire.sheet.interaction .circle-construction {
    justify-content: space-evenly;
    align-items: center;
    max-height: fit-content;
    margin-top: 10px;
}

.acariaempire.sheet.interaction .circle-construction .circle-token {
    padding: 5px;
    margin: 5px;
    min-width: 100px;
    max-width: 100px;
    max-height: 100px;
    align-items: center;
}

.acariaempire.sheet.interaction .circle-token .token-bg {
    font-size: 2em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;

    background-size: 70px 70px;
    text-align: center;
    font-weight: bold;
    line-height: 15px;

    min-height: 70px;
    min-width: 70px;
    max-height: 70px;
    opacity: 0.7;
}

.acariaempire.sheet.interaction .circle-carac .token-bg:hover {
    opacity: 1;
    box-shadow: 0 0 5px darkblue inset;
    cursor: pointer;
}

.acariaempire.sheet.interaction .circle-carac .carac-name {
    text-align: center;
}

.acariaempire.sheet.interaction .circle-construction .harmonization-panel {
    padding: 5px;
    margin: 5px;
    max-height: 100px;
    align-items: center;
}

.acariaempire.sheet.interaction .circle-construction .harmonization-panel.current {
    min-width: 100px;
    max-width: 100px;
}

.acariaempire.sheet.interaction .circle-construction .harmonization-panel.choosing {
    min-width: 250px;
    max-width: 250px;
}

.acariaempire.sheet.interaction .harmonization-panel .harmonization-icons {
    flex: unset;
    min-height: 70px;
    max-height: 70px;
    padding: 0px;
    margin: 0px;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.acariaempire.sheet.interaction .harmonization-panel .harmonization-element {
    min-width: 30px;
    max-width: 30px;
    max-height: 30px;
    margin: 2px;
    border: none;
    opacity: 0.7;
}
.acariaempire.sheet.interaction .harmonization-panel .harmonization-element.modified {
    box-shadow: 0 0 5px darkblue inset;
}
.acariaempire.sheet.interaction .harmonization-panel .harmonization-element.selected {
    box-shadow: 0 0 5px darkblue inset;
}
.acariaempire.sheet.interaction .harmonization-panel .harmonization-element:hover {
    opacity: 1;
    cursor: pointer;
    box-shadow: 0 0 5px darkblue inset;
}

/*---------------------------------
  => For calling new spirits
 ----------------------------------*/
.acariaempire.sheet.interaction .communion-part .communion-instruction {
    flex: unset;
    font-style: italic;
    margin-bottom: 2px;
    text-align: center;
}

.acariaempire.sheet.interaction .communion-part .communion-choice {
    flex: unset;
    align-items: center;
    justify-content: center;
    margin-bottom: 5px;
}

.acariaempire.sheet.interaction .communion-part .spirit-tokens {
    justify-content: space-evenly;
}

.acariaempire.sheet.interaction .communion-part .spirit-token {
    padding: 5px;
    margin: 5px;
    margin-top: 10px;
    min-width: 150px;
    max-height: 100px;
    align-items: center;
}

.acariaempire.sheet.interaction .communion-part .token-bg {
    font-size: 2em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;

    background-size: 70px 70px;
    text-align: center;
    font-weight: bold;
    line-height: 15px;

    min-height: 70px;
    max-height: 70px;
    min-width: 70px;
}
.acariaempire.sheet.interaction .communion-part .token-bg.above {
    -webkit-text-fill-color: firebrick;
}

.acariaempire.sheet.interaction .communion-part .token-bg.spirit-amount {
    background-size: 52px 70px;
    background-repeat: no-repeat;
    background-position: center;
    min-width: 52px;
}

.acariaempire.sheet.interaction .communion-part .token-bg.clickable {
    opacity: 0.7;
}

.acariaempire.sheet.interaction .communion-part .token-bg.clickable:hover {
    opacity: 1;
    box-shadow: 0 0 5px darkgreen inset;
    cursor: pointer;
}

.acariaempire.sheet.interaction .communion-part .token-name {
    text-align: center;
}



/*---------------------------------
  => For invoking miracle
 ----------------------------------*/
.acariaempire.sheet.interaction .miracle-section .card-list {
    flex: unset;
    align-items: center;
    min-height: 55px;
    max-height: 460px;
}

.acariaempire.sheet.interaction .miracle-section .card-choice {
    flex: 0 0 150px;
    overflow: hidden;
    align-items: center;
    border: groove 2px;
    padding: 2px;
    margin-right: 5px;
    max-width: fit-content;
    max-height: 50px;
}

.acariaempire.sheet.interaction .miracle-section .card-choice .for-one-icon {
    margin-left: 2px;
    padding: 5px;
    background-repeat: no-repeat;
    background-size: 40px 40px;
    flex: 0 0 40px;
    height: 40px;
}

.acariaempire.sheet.interaction .miracle-section .card-choice .selected-bg {
    background-image: url('../resources/interaction/miracle_selected.png');
}

.acariaempire.sheet.interaction .miracle-section .card-choice .simple-bg {
    background-image: url('../resources/interaction/miracle_noselect.png');
}

.acariaempire.sheet.interaction .miracle-section .card-icon {
    border: none;
    min-width: 30px;
    height: 30px;
}

.acariaempire.sheet.interaction .miracle-section .card-show {
    flex: 0 0 10px;
}


/*---------------------------------
  => For melody composition
 ----------------------------------*/
 .acariaempire.sheet.interaction .melody-actions {
    flex: unset;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 10px;
    max-height: fit-content;
    margin-left: -60px;
}

.acariaempire.sheet.interaction .melody-actions .melody-button {
    font-size: 1em;
    max-width: fit-content;
    margin: 0px 5px;
    padding-top: 5px;
}

.acariaempire.sheet.interaction .melody-choice {
    flex: unset;
    justify-content: center;
    align-items: center;
    max-height: fit-content;
    margin-top: 10px;
}

.acariaempire.sheet.interaction .melody-choice .create-melody {
    background-size: 60px 60px;
    min-width: 60px;
    max-width: 60px;
    min-height: 60px;
    max-height: 60px;
    margin: 5px;
    opacity: 0.7;
    cursor: pointer;
    margin-bottom: 30px;
}

.acariaempire.sheet.interaction .melody-choice .create-melody:hover {
    opacity: 1;
    box-shadow: 0 0 5px darkorange inset;
}

.acariaempire.sheet.interaction .create-melody .tooltip {
    visibility: hidden;
    position: relative;
    left: -25px;
    top: 63px;
    max-height: fit-content;
    margin-right: -50px;
    padding: 2px;
    background-color: cornsilk;
    border: groove;
    text-align: center;
    z-index: 1;
    width: 130px;
}

.acariaempire.sheet.interaction .create-melody:hover .tooltip {
    visibility: visible;
    max-width: fit-content;
}


.acariaempire.sheet.interaction .melody-construction {
    flex: unset;
    justify-content: center;
    align-items: center;
    max-height: fit-content;
    margin-top: 10px;
}

.acariaempire.sheet.interaction .melody-construction .melody-token {
    flex: 0 0 60px;
    padding: 5px;
    margin: 5px;
    min-width: 150px;
    max-height: 100px;
    align-items: center;
}

.acariaempire.sheet.interaction .melody-token .token-bg {
    font-size: 2em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;

    background-size: 70px 70px;
    background-repeat: no-repeat;
    text-align: center;
    font-weight: bold;
    line-height: 15px;

    min-height: 70px;
    min-width: 70px;
    max-height: 70px;
    opacity: 0.7;
}

.acariaempire.sheet.interaction .melody-token.melody-theme .token-bg:hover {
    opacity: 1;
    box-shadow: 0 0 5px darkorange inset;
    cursor: pointer;
}

.acariaempire.sheet.interaction .melody-token .token-name {
    text-align: center;
}

